# SmdbApiMock

This library contains a mock version of the SmdbApiService from the **smdb-api** library.

## Using the library

If you want to use the library in your project, you have to import the `SmdbApiMockModule` through its `.forRoot()` method like below:

```javascript
import {SmdbApiMockModule} from '@frontendart/smdb-api-mock';

@NgModule({
  declarations: [AppComponent],
  imports:      [   
    SmdbApiMockModule.forRoot(),
  ],
  providers:    [],
  bootstrap:    [SmdbAppComponent]
})
export class AppModule {
}
```

After importing the `SmdbApiMockModule`, you will be able to inject the `SmdbApiService` service as usual:

```javascript
@Component()
export class SampleComponent {

  constructor(private smdbApi: SmdbApiService) { }
```

## Build

Run `ng build smdb-api-mock` to build the project. Be sure you are in the project main directory. 
The build artifacts will be stored in the `dist/` directory.
