/**
 * Apply this decorator, to keep track of anything that your classes methods return. A console.debug is applied to returned values.
 * If a method returns an Observable, a subscription is made, and the resolved data is logged instead of logging the Observable itself.
 *
 * @param excludes specifies methods (by name) to exclude from logging. By default the constructor is excluded
 */
export declare function MethodLoggerDecorator(excludes?: string[]): <T extends new (...args: any[]) => {}>(originalConstructor: T) => {
    new (...params: any[]): {};
} & T;
